package com.hp.user.client.service;

import com.hp.user.client.entity.CompanyAuditPage;
import com.hp.user.client.entity.CompanyPage;
import com.hp.user.client.entity.CustomerCompanyVO;

import java.util.Date;

/**
 * <p>
 * 企业/公司 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface CustomerCompanyService {
    public boolean insert(CustomerCompanyVO company);
    public boolean delete(String companyId);
    public boolean update(CustomerCompanyVO company);
    public CustomerCompanyVO queryCompanyByCompanyId(String companyId);
    public CompanyPage getCompanysPage(Long current, Integer size);
    public CompanyPage queryCompanysPageByNameAndServiceAndStatus(String name, String serviceProviderName, Integer status, Long current, Integer size);
    public CompanyAuditPage getCompanyAuditsPage(Long current, Integer size);
    public CompanyAuditPage queryCompanysPageByNameAndStatusAndCreateTime(String name, Integer status, Date startTime,Date endTime, Long current, Integer size);
}
